Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyErrorHelper

    java.lang.Object
      org.omg.CORBA.PolicyErrorHelper

    public abstract class PolicyErrorHelper

extends Object

Thrown to indicate problems with parameter values passed to the `ORB.create_policy` operation.

Constructor Summary
`PolicyErrorHelper()`

Method Summary
`static PolicyError` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, PolicyError that)`
`static PolicyError` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, PolicyError value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyErrorHelper

    public PolicyErrorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyError that)

### extract

    public static PolicyError extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static PolicyError read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             PolicyError value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.